<template>
  <view
    @click="emit('onButton')"
    style="box-shadow: 0px 2px 12px rgba(255, 184, 137, 0.5)"
    class="fixed right-4 bottom-8 w-[132rpx] h-[132rpx] bg-[#F88842] rounded-full flex items-center justify-center"
  >
    <wd-icon name="add" size="52rpx" color="white"></wd-icon>
  </view>
</template>
<script setup>
  import { defineEmits } from 'vue'

  defineOptions({
    name: 'HoverButton',
  })

  const emit = defineEmits(['onButton'])
</script>

<style lang="scss" scoped>
  .wd-divider {
    margin: 0;
  }
</style>
